
Redmine - Feature #461

Support bulk updating of custom fields

2007-10-22 15:25 - Johnathan Conley

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Would be nice to be able to bulk update on custom fields.

Also to perform bulk updates on subprojects items (the subproject item select boxes are currently disabled in a

subprojects=all query)

Related issues:

Related to Redmine - Patch #2560: Bulk Edit of Custom Fields Closed 2009-01-22

Related to Redmine - Defect #4505: Bulk edit issue don't show "is_for_all" cu... Closed 2009-12-30

Has duplicate Redmine - Feature #1579: Bulk edit custom fields Closed 2008-07-04

Has duplicate Redmine - Feature #4506: Allow bulk edit of other field_formats Closed 2009-12-30

Associated revisions

Revision 2316 - 2009-01-25 17:04 - Jean-Philippe Lang

Ability to bulk edit custom fields of type 'list' (#461).

Revision 3278 - 2010-01-03 12:18 - Jean-Philippe Lang

Allow bulk edit custom fields of any type (#461).

History

#1 - 2008-05-29 13:56 - gabriel scolan

+1

#2 - 2008-07-07 11:52 - Patrick Oppenlander

+1

#3 - 2008-07-08 04:40 - Ewan Makepeace

+1

#4 - 2008-08-27 04:16 - Ewan Makepeace

I know I am already +1 on this but I have just hit a wall on this issue and would like to bump it again. My story is this:

We use a variation (bastard stepchild perhaps) of the Scrum methodology which requires everyone to be working on a set of tasks assigned by

monthly 'sprint'. We have just closed the August sprints and are now planning the September sprints - as a first step I need to move all uncompleted

tasks that were in progress in August to September.

We track the Sprint with a global custom field, because developers work across multiple projects and I need a unified field to show for example all

closed tasks for a given sprint for a given developer. Target Version does not work here because it is specific to a single project.

We are really relying on RedMine more and more to run our business, but today I go to roll over everyone's open tasks to September and I realise

that I must edit them one by one (111 of them) which on the slow network we enjoy in Indonesia will take me over half a day.

PLEASE add custom (global) fields to the bulk edit form?

#5 - 2008-12-03 21:57 - Robert Hatfield

+1

We use Redmine in the same way as Ewan above.  Multiple users have asked me why they cannot bulk edit the sprint custom field.

2025-07-02 1/2



#6 - 2009-01-13 20:47 - Reach Everywhere

+1

#7 - 2009-01-22 12:11 - Ewan Makepeace

Have uploaded a patch for this: #2560

#8 - 2009-01-28 05:38 - Ewan Makepeace

I think this issue is closed by this patch: Patch #2560

#9 - 2010-01-03 12:11 - Jean-Philippe Lang

- Category set to Custom fields

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

All types of custom fields can now be bulk edit (r3278).

#10 - 2012-01-30 10:00 - Pedro Gutierrez

I spent sometime reading this closed issue until I realised that it was only for issue specific custom fields.

The rest: project level custom fields, version level custom fields... can't be bulk edited even if not explicity stated.

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

https://www.redmine.org/issues/2560
https://www.redmine.org/issues/2560
https://www.redmine.org/projects/redmine/repository/svn/revisions/3278
http://www.tcpdf.org

